Subject: 2.6.10 unable to mount a root fs on ramdisk

From: Shawn Jin <[email-masked]>
Date: Mon, 25 Apr 2005 15:17:22 -0700

Hi,

Tried to mount a root fs on ramdisk on an ebony board but the
following error shows up.

Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(1,0)

There may be a simple answer for this common error. But I haven't
found out it after googling for a while. I remember I had a similar
problem when trying to mount a jffs2 as the root fs. The solution is
to add rootfstype=jffs2. I downloaded the ramdisk image from DENX's
ftp site. So I'm sure the image itself has no problem.

I already enabled RAMDISK and initrd support in kernel configuration.

=> run ramroot
## Booting image at 00400000 ...
   Image Name:   Linux-2.6.10
   Created:      2005-02-23  18:40:02 UTC
   Image Type:   PowerPC Linux Kernel Image (gzip compressed)
   Data Size:    887207 Bytes = 866.4 kB
   Load Address: 00000000
   Entry Point:  00000000
   Verifying Checksum ... OK
   Uncompressing Kernel Image ... OK
## Current stack ends at 0x07FA9CC0 => set upper limit to 0x00800000
## cmdline at 0x007FFC00 ... 0x007FFC10
bd address  = 0x07FAAF90
memstart    = 0x00000000
memsize     = 0x08000000
flashstart  = 0xFF800000
flashsize   = 0x00480000
flashoffset = 0x00000000
sramstart   = 0x00000000
sramsize    = 0x00000000
bootflags   = 0x00000005
intfreq     =    400 MHz
busfreq     = 133.333 MHz
baudrate    =   9600 bps
## Loading RAMDisk Image at 00600000 ...
   Image Name:   Simple Embedded Linux Framework
   Created:      2002-10-24   9:30:38 UTC
   Image Type:   PowerPC Linux RAMDisk Image (gzip compressed)
   Data Size:    1476478 Bytes =  1.4 MB
   Load Address: 00000000
   Entry Point:  00000000
   Verifying Checksum ... OK
## initrd at 0x00600040 ... 0x007687BD (len=1476478=0x16877E)
   Loading Ramdisk to 07e41000, end 07fa977e ... OK
## Transferring control to Linux (at address 00000000) ...
Linux version 2.6.10  (gcc version 3.3.3 (DENX ELDK 3.1 3.3.3-8)) #1 We
d Feb 23 10:34:11 PST 2005
IBM Ebony port (MontaVista Software, Inc. ([email-masked]))
<SNIPPED>
NET: Registered protocol family 1
NET: Registered protocol family 17
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(1,0)

Thanks,
-Shawn.